Bug 220479 - Hang on multiple fast drag-and-drop from local to IMAP storage
Hang on multiple fast drag-and-drop from local to IMAP storage
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
i686 Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
: 225446 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-12-21 11:53 EST by Christopher Beland
Modified: 2008-03-05 20:36 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.12.3-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-05 20:36:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2006-12-21 11:53:00 EST
Description of problem:

I am looking at a list of e-mails in my "On This Computer" inbox.  I
am refiling them to a IMAP folders on a remote computer by dragging
and dropping them to the desired folders.  If I am not careful to wait
until each message is completely transferred before DnDing the next
one (and this takes several seconds) the GUI is likely to (but does
not always) get "stuck".  When this happens, the mouse cursor looks
like a piece of paper with an arrow.  When I go above the top of the
list of folders, the list scrolls up, and it scrolls down when I go
beyond the bottom.  However, clicking on the desired folder has no
effect.  Clicking the other mouse buttons has no effect.  Clicking on
other applications and Gnome panel items also has no effect.  The only
way I can do anything useful with my X session is to switch to a
virtual console, log in there, and kill the Evolution process.  This
bug has existed since at least Fedora 4.

Version-Release number of selected component (if applicable):

Comment 1 Matthew Barnes 2007-10-04 23:22:15 EDT
I think I remember something like this being fixed recently.  Can you still
reproduce the problem on Fedora 8 Test 2 or later?
Comment 2 Matěj Cepl 2007-12-10 16:48:00 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 3 Christopher Beland 2007-12-10 17:14:58 EST
This bug was originally reported with Fedora 6.  I'm changing the version to
Fedora 7 because that's what I'm running now and I have continued to experience
the problem.  I will re-test as soon as I upgrade to Fedora 8, which might take
me a few weeks.
Comment 4 Christopher Beland 2008-01-07 16:03:51 EST
I can confirm this is still a problem with evolution-2.12.2-2.fc8 in Fedora 8.  

It looks like a patch attempting to fix this was checked in back in August:


I did select multiple messages at the same time to make sure that the system was
slowed down enough for me to DnD another message before it finished with the
first batch.  Not sure if this patch doesn't apply to that situation, or what.
Comment 5 Matthew Barnes 2008-01-29 14:17:10 EST
*** Bug 225446 has been marked as a duplicate of this bug. ***
Comment 6 Christopher Beland 2008-03-05 20:36:54 EST
This appears to be fixed in evolution-2.12.3-3.fc8.

Note You need to log in before you can comment on or make changes to this bug.